/*
	Copyright (c) 2004-2011, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource['epages.validate.number']){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource['epages.validate.number'] = true;
/*
	Copyright (c) 2006-2007, ePages GmbH
	All Rights Reserved.

  epages.validate.number $Revision: 1.7 $

*/
dojo.provide('epages.validate.number');

epages.validate.number.isInteger = function(value, settings) {
  if (settings == null){
    settings = {};
  }
  // convert to string
  value += '';

	// comment.translate:NO_VALUE,NO_INTEGER,NOT_IN_RANGE,LOWER_THAN_MIN,GREATER_THAN_MAX
  if (value == ''){
  	return 'NO_VALUE';
  }
  if (!(/^(?:0|-?[1-9][0-9]*)$/).test(value)){
  	return 'NO_INTEGER';
 	}
  value = Number(value);
  if ((settings.min != null && value < settings.min) ||
      (settings.max != null && value > settings.max)){
      	return 'NOT_IN_RANGE';
  }
  if (settings.min != null && value < settings.min){
  	return 'LOWER_THAN_MIN';
  }
  if (settings.max != null && value > settings.max){
  	return 'GREATER_THAN_MAX';
  }
  return true;
};

}
