/*
	Copyright (c) 2004-2011, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource["epages.event"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["epages.event"] = true;
/*
	Copyright (c) 2006-2007, ePages GmbH
	All Rights Reserved.

  epages.event $Revision: 1.11 $

*/
dojo.provide("epages.event");
dojo.require('epages.browser');

epages.event.fire = function(/*Object*/DomObject,/*String*/eventType) {
	// summary: Cross browser function to throw events to dom objects.
	// description: Throws an event of the given event type to the given dom object.
	// DomObject: dom node
	// eventType: type of the event. eg. "click" or "mouseover"

		if (epages.Browser.engine == 'MSIE') {
			try {
				DomObject.fireEvent('on'+eventType);
			}catch(e) {}
		} else {
			if(eventType == 'click' ||
				eventType == 'dblclick' ||
				eventType == 'mousedown' ||
				eventType == 'mousemove' ||
				eventType == 'mouseout' ||
				eventType == 'mouseover' ||
				eventType == 'mouseup') { // create mouse events
				var newevt = document.createEvent('MouseEvents');
				newevt.initMouseEvent(eventType, true, true, window, 0, 0, 0, 0, 0, false, false, false, false, 0, null);
			} else  {										// create html events
				var newevt = document.createEvent('HTMLEvents');
				newevt.initEvent(eventType, true, true);
			}
			DomObject.dispatchEvent(newevt);
		}
};

}
